/************************************************/
/*						*/
/*      Copyright:				*/
/*	 Jean-Marc Pigeon <jmp@safe.ca>	 2009	*/
/*						*/
/************************************************/
/* This program is free software; you can 	*/
/* redistribute it and/or modify it under the 	*/
/* terms of the GNU General Public License as	*/
/* published by the Free Software Foundation	*/
/* version 2 of the License			*/
/*						*/
/* This program is distributed in the hope that */
/* it will be useful, but WITHOUT ANY WARRANTY; */
/* without even the implied warranty of		*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR	*/
/* PURPOSE.  See the GNU General Public License	*/
/* for more details.				*/
/*						*/
/* You should have received a copy of the GNU	*/
/* General Public License along with this 	*/
/* program; if not, write to the Free Software	*/
/* Foundation, Inc., 51 Franklin Street,	*/
/* Fifth Floor, Boston, MA  02110-1301, USA.	*/
/************************************************/
/*						*/
/*	Define low level routine to access	*/
/*	shared Memory				*/
/*						*/
/************************************************/
#ifndef UNIIPC
#define UNIIPC
#include	<stdlib.h>

#define	CHLPID	"CHLPID"/*to get 'brother' pid	*/

typedef	struct timespec TIMESPEC;

extern void *ipc_getshrmem(size_t nmemb,size_t size);
extern void *ipc_dropshrmem(void *ptr);
extern int ipc_getshraccess(void *ptr,TIMESPEC *timeout);
extern int ipc_dropshraccess(void *ptr);
#endif
